/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | www.openfoam.com
     \\/     M anipulation  |
-------------------------------------------------------------------------------
    Copyright (C) YEAR AUTHOR,AFFILIATION
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "CLASSNAME.H"
#include "IOstreams.H"

// * * * * * * * * * * * * * * * * Constructors  * * * * * * * * * * * * * * //

template<TemplateClassArgument>
Foam::CLASSNAME<TemplateArgument>::CLASSNAME(Istream& is)
:
    base1(is),
    base2(is),
    member1(is),
    member2(is)
{
    is.check(FUNCTION_NAME);
}


// * * * * * * * * * * * * * * * IOstream Operators  * * * * * * * * * * * * //

template<TemplateClassArgument>
Foam::Istream& Foam::operator>>
(
    Istream& is,
    CLASSNAME<TemplateArgument>&
)
{
    is.check(FUNCTION_NAME);
    return is;
}


template<TemplateClassArgument>
Foam::Ostream& Foam::operator<<
(
    Ostream& os,
    const CLASSNAME<TemplateArgument>&
)
{
    os.check(FUNCTION_NAME);
    return os;
}


// ************************************************************************* //
